Genivia - saml2__ActionType Struct Reference

|  | Home | Documentation | saml2__ActionType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__ActionType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":ActionType is a complexType with simpleContent extension of type xs:string. More...

`#include <saml2.h>`

## Public Attributes
char * | __item
char * | Namespace
| Attribute "Namespace" of type xs:anyURI. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":ActionType is a complexType with simpleContent extension of type xs:string.

Note
  struct saml2__ActionType operations:
  - saml2__ActionType* soap_new_saml2__ActionType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__ActionType(struct soap*, saml2__ActionType*) default initialize members
  - int soap_read_saml2__ActionType(struct soap*, saml2__ActionType*) deserialize from a source
  - int soap_write_saml2__ActionType(struct soap*, saml2__ActionType*) serialize to a sink
  - saml2__ActionType* soap_dup_saml2__ActionType(struct soap*, saml2__ActionType* dst, saml2__ActionType <em>src) returns deep copy of saml2__ActionType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__ActionType(saml2__ActionType) deep deletes saml2__ActionType data members, use only on dst after soap_dup_saml2__ActionType(NULL, saml2__ActionType *dst, saml2__ActionType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* saml2__ActionType::__item

INHERITED FROM saml2__ActionType: __item wraps simpleContent of type xs:string.

char* saml2__ActionType::Namespace

Attribute "Namespace" of type xs:anyURI.

Required attribute.

The documentation for this struct was generated from the following file:

- saml2.h